org.eclipse.ease.ui.scripts

## Class ScriptURLConnection

- java.lang.Object
- - java.net.URLConnection
  - - org.eclipse.ease.ui.scripts.ScriptURLConnection

    public class ScriptURLConnection
    extends java.net.URLConnection

### Constructor Summary

Constructors
Constructor and Description
`ScriptURLConnection(java.net.URL url, IScript script)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `connect()`
`java.io.InputStream` `getInputStream()`

### Methods inherited from class java.net.URLConnection

`addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentLength, getContentLengthLong, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFieldLong, getHeaderFields, getIfModifiedSince, getLastModified, getOutputStream, getPermission, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptURLConnection

    public ScriptURLConnection(java.net.URL url,
                               IScript script)

### Method Detail

#### connect

    public void connect()
                 throws java.io.IOException

Specified by:
  `connect` in class `java.net.URLConnection`
Throws:
  `java.io.IOException`

#### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

Overrides:
  `getInputStream` in class `java.net.URLConnection`
Throws:
  `java.io.IOException`